<?
// Лайт
if(isset($_GET['start']))
{
$old_ratss = $ku['rating'];
$start = $_GET['start'];
if($ku['vetriak_time']>time()){$vetriak_activ = 1;}

if($start==1){
/*Присваиваем переменной число в 2 раза меньше чем снимет за счет.*/
$money=10000000000;
if($ku['money']>=$money)
{
$rm=rand(0,100);
$rr=rand(0,100);
/*Рандомим опыт */
if($ku['level']>=35 && $ku['level']<42)
{
$rrat=rand(20000000,40000000);
$rating=intval("".$rrat.""); 
$rat=$rating;
}
/*Рандомим опыт*/
elseif($ku['level']>=42)
{
$rrat=rand(20000000,40000000);
$rating=intval("".$rrat.""); 
$rat=$rating;
}
/*Обновляем БД*/
if($vetriak_activ == 1){$rat = $rat*4;}
update_ku('rating',($ku['rating']+$rat));
$ku['money']=minus_money($money);
//$rt = plus_rating($rat);
update_mc($rat);
if(isset($pme))mysql_querll("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$pm)."' WHERE `id` = '$ku[id]'");
}
/*Хватает ли денег*/
else
{
$_SESSION['no_money']=$money-$ku['money'];
header("Location:?lottery");
}
}


if($start==2){

/*Присваиваем переменной число в 2 раза меньше чем снимет за счет.*/
$money=250000000000;
if($ku['money']>=$money)
{
$rm=rand(0,100);
$rr=rand(0,100);
/*Рандомим опыт */
if($ku['level']>=35 && $ku['level']<42)
{
$rrat=rand(500000000,1000000000);
$rating=intval("".$rrat.""); 
$rat=$rating;
}
/*Рандомим опыт*/
elseif($ku['level']>=42)
{
$rrat=rand(500000000,1000000000);
$rating=intval("".$rrat.""); 
$rat=$rating;
}
/*Обновляем БД*/
if($vetriak_activ == 1){$rat = $rat*4;}
update_ku('rating',($ku['rating']+$rat));
$ku['money']=minus_money($money);
update_mc($rat);
if(isset($pme))mysql_querll("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$pm)."' WHERE `id` = '$ku[id]'");
}
/*Хватает ли денег*/
else
{
$_SESSION['no_money']=$money-$ku['money'];
header("Location:?lottery");
}

}


if($start == 3){
/*Присваиваем переменной число в 2 раза меньше чем снимет за счет.*/
$money=500000000000000;
if($ku['money']>=$money)
{
$rm=rand(0,100);
$rr=rand(0,100);
/*Рандомим опыт */
if($ku['level']>=35 && $ku['level']<42)
{
$rrat=rand(1000000000000,2000000000000);
$rating=intval("".$rrat.""); 
$rat=$rating;
}
/*Рандомим опыт*/
elseif($ku['level']>=42)
{
$rrat=rand(10000000000,20000000000);
$rating=intval("".$rrat.""); 
$rat=$rating;
}
/*Обновляем БД*/
if($vetriak_activ == 1){$rat = $rat*4;}
update_ku('rating',($ku['rating']+$rat));
$ku['money']=minus_money($money);
update_mc($rat);
if(isset($pme))mysql_querll("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$pm)."' WHERE `id` = '$ku[id]'");
}
/*Хватает ли денег*/
else
{
$_SESSION['no_money']=$money-$ku['money'];
header("Location:?lottery");
}
}


//mysql_querll("INSERT INTO `lotery_test` (id_usr,rat,old_rat,start) VALUES ($ku[id],$rat,$old_ratss,$start)");
}
if($ku['level']>=35)
{
/*выводим блок для Light*/
echo "<div class='event'><h1>Лотерея ''Light''</h1></div>";
echo "<div class='content'><div class='block'>";
echo "<ul><li><img width='16' height='16' src='images/icons/ticket.png' alt='o'>
<a href='?lottery&start=1'>Купить билет</a> <span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>10 млрд.</span></span>
</li>";
echo "<li class='pt minor'>Минимальный выигрыш <img width='16' height='16' src='images/icons/experience.png' alt='oпыт' title='опыт'> 2000000 млн.</li>";

/*выводим блок для Medium*/
echo "<div class='event'><h1>Лотерея ''Medium''</h1></div>";
echo "<div class='content'><div class='block'>";
echo "<ul><li><img width='16' height='16' src='images/icons/ticket.png' alt='o'>
<a href='?lottery&start=2'>Купить билет</a> <span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>250 млрд.</span></span>
</li>";
echo "<li class='pt minor'>Минимальный выигрыш <img width='16' height='16' src='images/icons/experience.png' alt='oпыт' title='опыт'> 50000000 млн.</li>";

/*выводим блок для Hard*/
echo "<div class='event'><h1>Лотерея ''Hard''</h1></div>";
echo "<div class='content'><div class='block'>";
echo "<ul><li><img width='16' height='16' src='images/icons/ticket.png' alt='o'>
<a href='?lottery&start=3'>Купить билет</a> <span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>500000 млрд.</span></span>
</li>";
echo "<li class='pt minor'>Минимальный выигрыш <img width='16' height='16' src='images/icons/experience.png' alt='oпыт' title='опыт'> 100000000000 млрд.</li>";

if(isset($_GET['start']) && $ku['money']>=$money)
{	
$rat_st = razdelen($rat);
/*Вывод выигрыш*/
echo "<li class='title pt'>Ваш выигрыш:</li>";
echo "<li><span><ul>";
echo "<img width='16' height='16' src='images/icons/experience.png' alt='oпыт' title='опыт'> Опыт +<span>$rat_st</span>";
echo "<li></li></ul></span></li>";

}
echo "</ul></div>";
}
else
echo "<span>Лотерея доступна с 35 уровня. Не будьте таким азартным. :D</span>";
include_once 'inc/foot.php';
?>